Bug 1280372 - qpidd ends up in symbol lookup error
qpidd ends up in symbol lookup error
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: qpid-cpp (Show other bugs)
epel7
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Irina Boverman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 10:11 EST by olaf.schmerse
Modified: 2016-03-17 14:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-0.34-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 14:59:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description olaf.schmerse 2015-11-11 10:11:18 EST
Description of problem:
qpidd: /usr/sbin/qpidd: symbol lookup error: /lib64/libqpidbroker.so.2: undefined symbol: _ZN4qpid3sys4Path9separatorE

Version-Release number of selected component (if applicable):
qpid-cpp-server-0.34-4.el7.x86_64

How reproducible:
everytime

Steps to Reproduce:
1.install qpid-cpp-server
2.
3.

Actual results:
[root@anyhost ~]# /usr/sbin/qpidd
/usr/sbin/qpidd: symbol lookup error: /lib64/libqpidbroker.so.2: undefined symbol: _ZN4qpid3sys4Path9separatorE


Expected results:
works 

Additional info:

[root@anyhost ~]# yum list installed | grep qpid
compat-qpid-cpp-client.x86_64      0.24-19.el7                    @epel         
python-gofer-qpid.noarch           2.6.6-1.el7                    @pulp-2-stable
python-qpid.noarch                 0.32-9.el7                     @epel         
python-qpid-common.noarch          0.32-9.el7                     @epel         
python-qpid-qmf.x86_64             0.32-1.el7                     @epel         
qpid-cpp-server.x86_64             0.34-4.el7                     @epel         
qpid-cpp-server-linearstore.x86_64 0.34-4.el7                     @epel         
qpid-proton-c.x86_64               0.10-2.el7                     @epel         
qpid-qmf.x86_64                    0.32-1.el7                     @epel         
qpid-tools.noarch                  0.32-9.el7                     @epel
Comment 1 Sean Myers 2015-12-04 13:54:16 EST
Bodhi update https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-40795af09d should be linked to this bug, not https://bugzilla.redhat.com/show_bug.cgi?id=1286881

Related to that, a testing build is available in epel-testing; this bug should be ON_QA.
Comment 2 Fedora Update System 2016-03-01 15:45:32 EST
qpid-cpp-0.34-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-07b9ae23da
Comment 3 Fedora Update System 2016-03-01 21:22:57 EST
qpid-cpp-0.34-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-07b9ae23da
Comment 4 Fedora Update System 2016-03-17 14:59:16 EDT
qpid-cpp-0.34-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.